/*
 * networktask.h
 *
 *  Created on: 15 abr. 2018
 *      Author: antonio
 */

#ifndef NETWORK_NETWORKTASK_H_
#define NETWORK_NETWORKTASK_H_

#include "../Tda/roverdirection.h"
#include "FreeRTOS.h"

/******************************************************************************
//!
//! \brief Task responsible of synchronized network events
//!         get telemetry and send it to telemtry server
//!         reconfigure WNP settings if it is necessary
//!
//! \parm   arg, pointer to task arguments
//!
//! \return None
//!
//!*****************************************************************************
 */
void *networkTask(void *arg);


#endif /* NETWORK_NETWORKTASK_H_ */
