/*
 * udpclient.h
 *
 *  Created on: 18 may. 2018
 *      Author: antonio
 */

#ifndef NETWORK_UDPCLIENT_H_
#define NETWORK_UDPCLIENT_H_

#include "FreeRTOS.h"


//**********************************************************************
//!
//! \brief  This routine send data to telemetry server using UDP sockets
//!         This routine send a chunk of data to the UDP server
//!         defined by TELEMETRY_SERVER_IP
//!
//! \param  string, pointer to data to send
//!
//! \return none
//!
//**********************************************************************

void vUDPClient(char *string);


#endif /* NETWORK_UDPCLIENT_H_ */
