/*
 * RoverStatus.h
 *
 *  Created on: 14 abr. 2018
 *      Author: antonio
 */


#ifndef ROVER_ROVERSTATUS_H_
#define ROVER_ROVERSTATUS_H_

#include "FreeRTOS.h"

#include "../Tda/roverdirection.h"

typedef struct {
                direction_t direction;
                uint8_t speed;
} t_RoverStatus;


void roverStatusInit(t_RoverStatus *roverStatus);

void roverStatusSetDirection(t_RoverStatus *roverStatus, direction_t direction);

void roverStatusSetSpeed(t_RoverStatus *roverStatus, uint8_t speed);

direction_t roverStatusGetDirection(t_RoverStatus roverStatus);

uint8_t roverStatusGetSpeed(t_RoverStatus roverStatus);

uint8_t roverStatusGetSpeedStr(t_RoverStatus roverStatus,char *speed);

uint8_t roverStatusGetDirectionStr(t_RoverStatus roverStatus, char *direction);

void roverStatusDebug(t_RoverStatus roverStatus);


#endif /* ROVERSTATUS_ROVERSTATUS_H_ */
