/*
 * distancetask.h
 *
 *  Created on: 1 may. 2018
 *      Author: antonio
 */

#ifndef DISTANCE_DISTANCETASK_H_
#define DISTANCE_DISTANCETASK_H_



//#define ECHO_TIME       588   for security distance about 10 cm
#define ECHO_TIME       (900)   /* for security distancea about 15 cm */

#define TRIGGER_TIME    (15)    /* trigger pulse must be active 10 microseconds or more*/

//*****************************************************************************
//!
//! \brief  Distance task.
//! This task is responsible of manage ultrasonic sensors HC-SR04 to keep rover
//!
//!
//! MSP432P401R GPIO PORTS  in use:
//!     Front sensor:
//!         HC-SR04 TRIGGER -> PORT P4.4    [Board_GPIO_TRIGGER_FRONT]
//!         HC-SR04 ECHO    -> PORT P4.0    [Board_GPIO_ECHO]
//!
//!     Back sensor [NOT IN USE]:
//!         HC-SR04 TRIGGER -> PORT
//!         HC-SR04 ECHO    -> PORT P4.0    [Board_GPIO_ECHO]
//!
//! \param  none
//!
//! \return none
//!
//*****************************************************************************
void * distanceTask(void *arg0);



#endif /* DISTANCE_DISTANCETASK_H_ */
