/*
 * network_configuration.h
 *
 *  This file contains network definitions
 *
 *  Created on: 20 may. 2018
 *      Author: antonio
 */

#ifndef NETWORK_NETWORK_CONFIGURATION_H_
#define NETWORK_NETWORK_CONFIGURATION_H_


/* WIFI Parameters */
#define WIFI_ROLE   ROLE_STA    // Wifi station
#define AP_SEC_TYPE         (SL_WLAN_SEC_TYPE_WPA_WPA2)
#define AP_SEC_PASSWORD     "Hjks3z78"
#define SC_KEY              "1234567890123456"
#define SSID                "tank"

/* ROVER SERVER IP CONFIGURATION */

#define IP_A   192
#define IP_B   168
#define IP_C   8
#define IP_D   40

#define MASK_A   255
#define MASK_B   255
#define MASK_C   255
#define MASK_D   0

#define GW_A   192
#define GW_B   168
#define GW_C   8
#define GW_D   1

#define DNS_A   8
#define DNS_B   8
#define DNS_C   8
#define DNS_D   8

/* CONTROL PANEL AUTHENTICATION */
#define PANEL_USER    "Prueba\0"
#define PANEL_PASS    "Prueba\0"

/* HTTP POST VALID TOKENS */
#define HTTP_TOKEN_DIR          "__SL_P_DIR"
#define HTTP_TOKEN_SPEED        "__SL_P_SPE"
#define HTTP_TOKEN_TIME         "__SL_P_TIM"
#define HTTP_TOKEN_MODE         "__SL_P_MOD"
#define HTTP_TOKEN_LOOPS        "__SL_P_LOP"

/* HTTP GET VALID TOKENS */
#define HTTP_TOKEN_GET_DIR  "__SL_G_DIR"
#define HTTP_TOKEN_GET_SPE  "__SL_G_SPE"
#define HTTP_TOKEN_GET_TEM  "__SL_G_TMP"
#define HTTP_TOKEN_GET_LIG  "__SL_G_LIG"
#define HTTP_TOKEN_GET_HUM  "__SL_G_HUM"
#define HTTP_TOKEN_GET_PRE  "__SL_G_PRE"

/* TELEMETRY SERVER */
#define TELEMETRY_SERVER_IP_A   192
#define TELEMETRY_SERVER_IP_B   168
#define TELEMETRY_SERVER_IP_C   2
#define TELEMETRY_SERVER_IP_D   10
#define TELEMETRY_SERVER_PORT   9999


#endif /* NETWORK_NETWORK_CONFIGURATION_H_ */
