/*
 * roverdirection.c
 *
 *  Created on: 26 abr. 2018
 *      Author: antonio
 */

#define MAX_STRING 10

#include <Tda/roverdirection.h>

/* Standard Include */
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

void roverDirectionGetDirectionString(direction_t direction, char *string){
    switch (direction){
        case FORWARD:
            strcpy(string,"Forward");
            break;
        case STOP:
            strcpy(string,"Stopped");
            break;
        case BACKWARD:
            strcpy(string,"Backward");
            break;
        case LEFT:
            strcpy(string,"Left");
            break;
        case RIGHT:
            strcpy(string,"Right");
            break;
        case L_FORWARD:
            strcpy(string,"Left Forward");
            break;
        case R_FORWARD:
            strcpy(string,"Right Forward");
            break;
        case L_BACKWARD:
            strcpy(string,"Left Backward");
            break;
        case R_BACKWARD:
            strcpy(string,"Right Backward");
            break;
        case LOCK_FORWARD:
            strcpy(string,"Lock forward");
            break;
        case NO_SET:
            strcpy(string,"Direction not set");
            break;
        default:
            strcpy(string,"Lock");
           };
}

void roverDirectionSetDirectionFromString(direction_t *direction, char *string){

        if (strcmp(string,"BACKWARD")==0){
            *direction = BACKWARD;
        }
        else if (strcmp(string,"FORWARD")==0){
            *direction = FORWARD;
        }
        else if (strcmp(string,"RIGHT")==0){
            *direction = RIGHT;
        }
        else if (strcmp(string,"LEFT")==0){
            *direction = LEFT;
        }
        else if (strcmp(string,"STOP")==0){
            *direction = STOP;
        }
        else if (strcmp(string,"R_BACKWARD")==0){
            *direction = R_BACKWARD;
        }
        else if (strcmp(string,"L_BACKWARD")==0){
            *direction = L_BACKWARD;
        }
        else if (strcmp(string,"R_FORWARD")==0){
            *direction = R_FORWARD;
        }
        else if (strcmp(string,"L_FORWARD")==0){
            *direction = L_FORWARD;
        }
        else if (strcmp(string,"LOCK_F")==0){
            *direction = LOCK_FORWARD;
        }
        else if (strcmp(string,"NO_SET")==0){
            *direction = NO_SET;
        }

    };
