/*
 * rovermode.c
 *
 *  Created on: 3 jun. 2018
 *      Author: antonio
 */

#include <common_def.h>
#include <Tda/rovermode.h>

void vRoverModeInit(t_Mode *mode) {
    mode->mode = MODE_INTERACTIVE;
    mode->loops = 255;
}

void vRoverModeSetLoop(uint8_t loops, t_Mode *roverMode){
    roverMode->loops = loops;
}

uint8_t ucRoverModeGetLoop(t_Mode roverMode){
    return roverMode.loops;
}

void vRoverModeSetMode(uint8_t mode, t_Mode *roverMode){
    roverMode->mode = mode;
}

uint8_t ucRoverModeGetMode(t_Mode roverMode){
    return roverMode.mode;
}

uint8_t ucRoverModeReady(t_Mode roverMode){
    if (roverMode.mode == MODE_INTERACTIVE && roverMode.loops == 0){
        return pdTRUE;
    }
    else if (roverMode.mode == MODE_LOOP && roverMode.loops > 0 && roverMode.loops < 255){
        return pdTRUE;
    }
    else {
        return pdFALSE;
    }
}

